package jpatests.model.cascade;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import javax.persistence.ManyToOne;

/**
 * @author Wonseok Kim
 */
@Entity
@Table(name="CASCADE_C")
public class EntityC {
    @Id
    String id;
    
    @ManyToOne
    EntityA a;


    public EntityC() {
    }


    public EntityC(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public EntityA getA() {
        return a;
    }

    public void setA(EntityA a) {
        this.a = a;
    }
}
